export async function mount(where) {
  const resultsHelperComponent = new ResultsHelper();
  await resultsHelperComponent.mount(where);
}

class ResultsHelper {
  constructor() {}

  async mount(where) {
    const mountpoint = where;
    document.getElementById(mountpoint).innerHTML = /* HTML */ `
      <div class="card-no-hover helper">
        <h2 class="title is-2">Aide pour les résultats</h2>

        Le menu "Résultats" permet de voir les résultats d'un tour d'une
        élection. Il faut donc sélectionner le tour de l'élection que l'on
        souhaite consulter.<br />

        Il est possible de filtrer les résultats pour ne prendre en compte que
        les zones qui sont complétées, que celles qui ont étaient validée avec
        les résultats de la préfecture ou alors en prenant en compte les zones
        avec des résultats partiels.<br /><br />

        <h5 class="title is-5">Onglet Général</h5>

        L'onglet général permet de voir les résultats pour l'ensemble du
        tour.<br />
        À venir : la partie statistiques permet de comparer les résultats avec
        d'autres élections afin de suivre la tendande dans le temps.<br /><br />

        <h5 class="title is-5">Onglet circonscriptions ou villes</h5>
        Les onglets "Circonscription" et "Villes" fonctionnent de la même façon
        mais avec le zonage appropié.<br />

        L'écran est découpé en trois composants : la carte (à gauche), le flux
        d'actualité (en haut à droite) et les résultats détaillés (en bas à
        droite).<br />Chaque zone peut être aggrandie en appuyant sur
        <span class="icon is-small">
          <i class="fa fa-expand-arrows-alt"></i> </span
        >. Pour diminuer la taille de la zone et revenir à l'état initial il
        suffit de cliquer sur
        <span class="icon is-small">
          <i class="fa fa-compress-arrows-alt"></i> </span
        ><br /><br />
        Le flux d'actualité défile de manière automatique, il est possible de
        désactiver ce défilement en décochant la case "Défilement automatique".
        Lorsque la souris se trouve au dessus de la zone du flux, le défilement
        s'arrête. Il est possible d'ouvrir les résultats détaillés d'une zone en
        cliquant dessus dans le flux, les détails s'affichent alors dans la
        partie "Résultats détaillés" <br /><br />
        La partie résultat détaillés permet de voir les résultats d'une zone en
        particulier en selectionnant la circonscription (et la ville dans l'onglet "Villes"). En cliquant sur
        <span class="icon is-small">
          <i class="fa fa-expand-arrows-alt"></i>
        </span>
        il est possible de voir des statistiques sur la zone comme
        l'abstention, le nombre de votes blanc et nuls. Avec le filtre "partiel"
        le pourcentage de saisie de la zone s'affiche également afin de savoir
        si les résultats donnés sont proche d'être complets ou non.<br />
        Dans l'onglet "Circonscription" lorsque les résultats d'une
        circonscription sont tous saisis la liste des élus s'affiche.
      </div>
    `;
  }
}
